<!DOCTYPE html>
<html><head>
<title>eric7.Sessions.SessionFile</title>
<meta charset="UTF-8">
<link rel="stylesheet" href="styles.css">
</head>
<body>
<a NAME="top" ID="top"></a>
<h1>eric7.Sessions.SessionFile</h1>
<p>
Module implementing a class representing the session JSON file.
</p>

<h3>Global Attributes</h3>
<table>
<tr><td>None</td></tr>
</table>

<h3>Classes</h3>
<table>
<tr>
<td><a href="#SessionFile">SessionFile</a></td>
<td>Class representing the session JSON file.</td>
</tr>
</table>

<h3>Functions</h3>
<table>
<tr><td>None</td></tr>
</table>

<hr />
<hr />
<a NAME="SessionFile" ID="SessionFile"></a>
<h2>SessionFile</h2>
<p>
    Class representing the session JSON file.
</p>

<h3>Derived from</h3>
QObject
<h3>Class Attributes</h3>
<table>
<tr><td>None</td></tr>
</table>

<h3>Class Methods</h3>
<table>
<tr><td>None</td></tr>
</table>

<h3>Methods</h3>
<table>
<tr>
<td><a href="#SessionFile.__init__">SessionFile</a></td>
<td>Constructor</td>
</tr>
<tr>
<td><a href="#SessionFile.readFile">readFile</a></td>
<td>Public method to read the session data from a session JSON file.</td>
</tr>
<tr>
<td><a href="#SessionFile.writeFile">writeFile</a></td>
<td>Public method to write the session data to a session JSON file.</td>
</tr>
</table>

<h3>Static Methods</h3>
<table>
<tr><td>None</td></tr>
</table>


<a NAME="SessionFile.__init__" ID="SessionFile.__init__"></a>
<h4>SessionFile (Constructor)</h4>
<b>SessionFile</b>(<i>isGlobal: bool, parent: QObject = None</i>)
<p>
        Constructor
</p>

<dl>

<dt><i>isGlobal</i> (bool)</dt>
<dd>
flag indicating a file for a global session
</dd>
<dt><i>parent</i> (QObject (optional))</dt>
<dd>
reference to the parent object (defaults to None)
</dd>
</dl>
<a NAME="SessionFile.readFile" ID="SessionFile.readFile"></a>
<h4>SessionFile.readFile</h4>
<b>readFile</b>(<i>filename: str</i>)
<p>
        Public method to read the session data from a session JSON file.
</p>

<dl>

<dt><i>filename</i> (str)</dt>
<dd>
name of the project file
</dd>
</dl>
<dl>
<dt>Return:</dt>
<dd>
flag indicating a successful read
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
bool
</dd>
</dl>
<a NAME="SessionFile.writeFile" ID="SessionFile.writeFile"></a>
<h4>SessionFile.writeFile</h4>
<b>writeFile</b>(<i>filename: str</i>)
<p>
        Public method to write the session data to a session JSON file.
</p>

<dl>

<dt><i>filename</i> (str)</dt>
<dd>
name of the session file
</dd>
</dl>
<dl>
<dt>Return:</dt>
<dd>
flag indicating a successful write
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
bool
</dd>
</dl>
<div align="right"><a href="#top">Up</a></div>
<hr />
</body></html>
